Subject: Re: bug#60220: 29.0.60; macOS 13.1 crash shortly after starting Emacs

From: Eli Zaretskii <[email-masked]>
Date: Fri, 30 Dec 2022 16:18:51 +0200

> From: Aaron Jensen <[email-masked]>
> Date: Fri, 30 Dec 2022 08:36:25 -0500
> Cc: Paul Eggert <[email-masked]>, [email-masked], [email-masked]
> 
> > Can you explain why you think loading shared libraries from an Emacs
> > idle timer could be dangerous?  I don't think I understand that.
> 
> I've already disproven this. I can reproduce a crash with just an
> after-init hook loading several features.

I've seen that, but since we don't have a reasonable explanation for
the crashes, I don't think your reproduction is evidence that Paul's
fears, whatever they are, are necessarily incorrect.  The mere fact
that you can trigger the crash in a different scenario doesn't yet
mean the original scenario has nothing to do with the problem.  This
kind of conclusions can only be drawn once the reason is fully
understood, and we are not there yet.